/**
 * Copyright (C) 2009-2011 Couchbase, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALING
 * IN THE SOFTWARE.
 */

package net.spy.memcached;

import junit.framework.TestCase;

/**
 * These tests test to make sure that we don't get null pointer
 * exceptions when calling toString methods on classes that have
 * custom toString() functions.
 */
public class ToStringTest extends TestCase {

  public void testDefaultConnectionFactory() {
    (new DefaultConnectionFactory()).toString();
    (new DefaultConnectionFactory(10, 1000)).toString();
    (new DefaultConnectionFactory(100, 100,
        DefaultHashAlgorithm.KETAMA_HASH)).toString();
  }

  public void testBinaryConnectionFactory() {
    (new BinaryConnectionFactory()).toString();
    (new BinaryConnectionFactory(10, 1000)).toString();
    (new BinaryConnectionFactory(100, 1000,
        DefaultHashAlgorithm.KETAMA_HASH)).toString();
  }
}
